<!-- EasyUI CSS -->
<link href="<?php echo base_url() . "assets/" ?>easyui/themes/bootstrap/easyui.css" rel="stylesheet">
<link href="<?php echo base_url() . "assets/" ?>easyui/themes/icon.css" rel="stylesheet">

	<div class="row">
		<div id="table-content" class="col-lg-12">
			<table id="tbl">
				<div id="tb" style="padding:3px;height:auto;">
					<div style="margin-bottom:0px; max-width:100px;">												
						<?php echo @$create; ?>
					</div>
				</div>
			</table>
		</div>
	</div>

	<div class="row">
		<div class="extra-footer col-lg-12" style="height:25px;"></div>
		<div class="col-lg-12 page-footer-table"></div>
		<!-- only space 
		-->
	</div>

<script>

	var tbl, setup; // setup is flag
    $(document).ready(function () {
		setup = 0;
		tbl = $('#tbl').datagrid({width: '100%'});
			// toolbar action
		var toolbarCostum = $('#tb');	
		// handle when direct update or create
		tbl.datagrid(gridConfigGeneralNoRowNumFixHeight);
		tbl.datagrid({
			pageNumber: '<?php echo $pnumber?>',
			pageSize: '<?php echo $psize?>',
		});
        tbl.datagrid({
            url: '<?php echo site_url('/') . $controller . '/load_data'; ?>',
            title: "List Pembayaran Siswa",
            toolbar: toolbarCostum,
            onLoadSuccess: loadAction, 
			frozenColumns:[[
				{field: 'options', title: 'ACTION', width: 100, halign: 'center', align: 'center', formatter: formatButton},
				{field: 'no_faktur', title: 'No Transaksi', width: 200, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'jenis', title: 'Metode Pembayaran', width: 130, sortable: 'true', halign: 'center', align: 'center'},
			]],	
            columns: [[ 
				{field: 'nama', title: 'Nama Siswa', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				
				{field: 'name', title: 'Sekolah', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'nama_jurusan', title: 'Jurusan', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				
				{field: 'kelas', title: 'Kelas', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'jenis_pembayaran', title: 'Jenis Pembayaran', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'tanggal_pembayaran', title: 'Tanggal Pembayaran', width: 140, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'besarnya', title: 'Besarnya', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				
				{field: 'status', title: 'Status Cetak', width: 130, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'tahun_ajaran', title: 'Tahun Ajaran', width: 110, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'created_by', title: 'Created By', width: 100, sortable: 'true', halign: 'center', align: 'center'},
				{field: 'created_date', title: 'Created Date', width: 150, sortable: 'true', halign: 'center', align: 'center'},                    
				{field: 'modified_by', title: 'Modified By', width: 150, sortable: 'true', halign: 'center', align: 'center'},                    
				{field: 'modified_date', title: 'Modified Date', width: 150, sortable: 'true', halign: 'center', align: 'center'},                    
            ]]
        });
    });
	
	function loadAction() {
		
		// fix asyn setup and multiple setup
		if (setup == 0){
			tbl.datagrid('enableFilter',
				 [ {
					field: 'created_date',
					type: 'datebox',
					options: {formatter: myFormatter, parser: myParser},
					op: ['equal', 'less', 'greater']
				},{
					field: 'tanggaltransaksi',
					type: 'datebox',
					options: {formatter: myFormatter, parser: myParser},
					op: ['equal', 'less', 'greater']
				},{
					field: 'tanggalinput',
					type: 'datebox',
					options: {formatter: myFormatter, parser: myParser},
					op: ['equal', 'less', 'greater']
				}] 
			);  
			// remove filter option
			$("input[name='options']").remove();
			setup = 1;
		}
		// fix
		//resizeContentDOMFit();
		// filter
		tbl.datagrid('resize', 'fixRowHeight');
	}
	
	 // format date
    function myFormatter(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        var d = date.getDate();
        return y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
    }

    // required
    function myParser(s) {
        if (!s)
            return new Date();
        var ss = (s.split('-'));
        var y = parseInt(ss[0], 10);
        var m = parseInt(ss[1], 10);
        var d = parseInt(ss[2], 10);
        if (!isNaN(y) && !isNaN(m) && !isNaN(d)) {
            return new Date(y, m - 1, d);
        } else {
            return new Date();
        }
    }

	
	//inline editor on row
    //load edit view	
	function edit_view(no_trans) {		
		window.location.href = "<?php echo '#'.$controller.'/form/'; ?>"+no_trans;
	}
	
	function create_view() {		
		window.location.href = "<?php echo '#'.$controller.'/form/'; ?>";
	}
	
	 function delete_data(id) {
		
		var alertmsg = 'Apakah Anda Ingin Menghapus Transaksi dengan No. Transaksi '+ id +' ?';
		if (confirm(alertmsg)) {
			
			
			$.ajax({
			url:"<?php echo site_url('/').$controller; ?>/delete",
			type: "POST",
			dataType:"json",
			data:"faktur="+id,
			success : function(msg){			
				container = $('#content');
				var url = location.hash.replace(/^#/, '');
				loadURL(url + location.search, container);
			},
			error :function(msg){
				$("#content").html("<span class='label label-important'> Error </span>");			
				$("#loading_anim").hide();
			}
			}); 
			
		}
	}	 
	
	
	// inline editor on row
   function formatButton(val, row, index) {
		
		var status = row.status;
		var cetakFaktur = '<?php echo @$cetakFaktur; ?>';		
		var scpace = '&nbsp;&nbsp;&nbsp;';
		var deleteBtn = '<?php echo @$delete; ?>';
		
		if (status == "" || status == null ) { 
			// return previewBtn
			return cetakFaktur + deleteBtn;
		}
		
    }
	
	function cetakFaktur(noFaktur) {
		
		var urlFaktur = '<?php echo base_url(); ?>index.php/trans_siswa/printFaktur?faktur='+noFaktur;
		// redirect
		//console.log(urlFaktur);
		//window.location = urlExport;
		window.open(urlFaktur,'_blank');
		
	}
	
	
</script>